
%global meadversion 1.2.1
%global namedversion 1.2.1.Final-redhat-4
%global meadalpha .Final_redhat_4
%global meadrel .1
%global serial 5

%bcond_without mead
%bcond_with javadoc

%define mavengroup org.jboss.osgi.vfs

%global title   JBossOSGi VFS

%define maven_version 1.2.1.Final-redhat-4

Name:           jbosgi-vfs
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBossOSGi VFS
Group:          Development/Java

%if %with mead
Source100: jbosgi-vfs-parent-1.2.1.Final-redhat-4-scm-sources.zip
Source102: jbosgi-vfs30-1.2.1.Final-redhat-4.pom
Source103: jbosgi-vfs30-1.2.1.Final-redhat-4-javadoc.jar
Source104: jbosgi-vfs30-1.2.1.Final-redhat-4.jar
Source105: jbosgi-vfs30-1.2.1.Final-redhat-4-sources.jar
Source106: jbosgi-vfs-1.2.1.Final-redhat-4.jar
Source107: jbosgi-vfs-1.2.1.Final-redhat-4-javadoc.jar
Source108: jbosgi-vfs-1.2.1.Final-redhat-4-sources.jar
Source109: jbosgi-vfs-1.2.1.Final-redhat-4.pom
Source110: jbosgi-vfs-parent-1.2.1.Final-redhat-4.pom
Source111: jbosgi-vfs-parent-1.2.1.Final-redhat-4-project-sources.tar.gz
%endif

License:        LGPLv2+
URL:            https://github.com/jbosgi/jbosgi-vfs
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
BuildRequires:  jpackage-utils
#Requires:      jboss-parent >= 0:14.0.0
BuildRequires:  jboss-parent >= 0:14.0.0
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The JBossOSGi VFS Abstration.

%if %with javadoc
%package javadoc
Group:          Development/Java

Summary:        Javadoc for %{title}
Requires:       jpackage-utils
BuildRequires:  jpackage-utils

%description javadoc
API documentation for %{title}.
%endif

%prep
%setup -q -n jbosgi-vfs -T -b 100
                                                                                                     
%build
                                                                                                     
%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}

%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/%{name}30-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}30-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/%{name}30-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}30-%{namedversion}-sources.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/%{name}-parent-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}-parent.pom
%{__cp} -p %{_sourcedir}/%{name}-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%{__cp} -p %{_sourcedir}/%{name}30-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-%{name}30.pom

# depmaps
%add_to_maven_depmap %{mavengroup} %{name}-parent %{namedversion} JPP %{name}-parent
%add_to_maven_depmap %{mavengroup} %{name} %{namedversion} JPP %{name}
%add_to_maven_depmap %{mavengroup} %{name}30 %{namedversion} JPP %{name}30

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{mavenversion}
%{_bindir}/unzip -qq %{_sourcedir}/%{name}-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/%{name} -x META-INF/\*
%{_bindir}/unzip -qq %{_sourcedir}/%{name}30-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/%{name}-%{namedversion}/%{name}30 -x META-INF/\*
%{__ln_s} %{name}-%{namedversion} %{buildroot}%{_javadocdir}/%{name}
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap


%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt
%{_javadir}/*.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*

%if %with javadoc
%files javadoc
%{_javadocdir}/%{name}-%{mavenversion}
%{_javadocdir}/%{name}
%endif

%changelog
* Fri Feb 06 2015 David Walluck <dwalluck@redhat.com> - 1.2.1-5.Final_redhat_4.1
- remove Requires: jboss-parent
- add license

* Wed Dec 17 2014 Lukas Kubik <lkubik@redhat.com> - 1.2.1-4.Final_redhat_4.1
- Rebuild because of bad dependency management removal

* Tue Dec 16 2014 Lukas Kubik <lkubik@redhat.com> - 1.2.1-3.Final_redhat_3.1
- Rebuild to remove unused dependency management

* Mon Dec 15 2014 Lukas Kubik <lkubik@redhat.com> - 1.2.1-2.Final_redhat_2.1
- Use jboss-osgi-parent in version 1.0.15.redhat-3
  (use OSGi-compatible version string)
- Update dependency management for eap 6.4.0

* Tue Feb 19 2013 Lin Gao <lgao@redhat.com> - 1.2.1-1.Final_redhat_1
- Upgrade to 1.2.1.Final

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.0-2.Final_redhat_2.2
- Rebuild for RHEL-5

* Fri Aug 10 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.0-1.Final_redhat_2.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 1.1.0-1.Final_redhat_1.1
- Rebuild using cache signing

* Wed May 02 2012 Hui Wang <huwang@rehat.com> - 0:1.1.0-1.Final_redhat_1
- Upgrade to 1.1.0.Final

* Wed Mar 21 2012 Hui Wang <huwang@rehat.com> - 0:1.0.7-1.Final_redhat_1.2
- Fix install path

* Fri Mar 02 2012 Hui Wang <huwang@rehat.com> - 0:1.0.7-1.Final_redhat_1.1
- Upgrade to 1.0.7.Final

* Fri Mar 02 2012 Hui Wang <huwang@rehat.com> - 0:1.0.7-1.Final_redhat_1.1
- Upgrade to 1.0.7.Final

* Mon Feb 13 2012 Lin Gao <lgao@redhat.com> - 0:1.0.6-2_redhat_1
- rebuild for new sign key
- wrapper rpm from mead

* Tue May 24 2011 Fernando Nasser <fnasser@redhat.com> - 0:1.0.0-1
- Placeholder
